# Uses of Class
com.ngrok.definitions.IpPolicy

Packages that use IpPolicy
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of IpPolicy in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type IpPolicy
  Modifier and Type
  Method
  Description
  `List<IpPolicy>`
  IpPolicyList.`getIpPolicies()`
  the list of all IP policies on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type IpPolicy
  Modifier
  Constructor
  Description
  ``
  `IpPolicyList(List<IpPolicy> ipPolicies, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `IpPolicyList`.

- ## Uses of IpPolicy in com.ngrok.services

  Methods in com.ngrok.services that return IpPolicy
  Modifier and Type
  Method
  Description
  `IpPolicy`
  IpPolicies.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpPolicy`
  IpPolicies.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `IpPolicy`
  IpPolicies.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type IpPolicy
  Modifier and Type
  Method
  Description
  `CompletionStage<IpPolicy>`
  IpPolicies.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpPolicy>`
  IpPolicies.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<IpPolicy>`
  IpPolicies.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.